#include <WiFi.h>
#include <IOXhop_FirebaseESP32.h>
#define FIREBASE_HOST "****"
#define FIREBASE_AUTH "****"
#define WIFI_SSID "****"
#define WIFI_PASSWORD "****"

String rele1 = 2;
String rele2 = 4;

void setup() {
  Serial.begin(9600);
  delay(1000);
  WiFi.begin(WIFI_SSID, WIFI_PASSWORD);
  Serial.print("Connecting to ");
  Serial.print(WIFI_SSID);
  delay(1000);

  pinMode(rele1, OUTPUT);
  pinMode(rele2, OUTPUT);

  while (WiFi.status() != WL_CONNECTED) {
    Serial.print(".");
    delay(500);
  }
  Serial.println();
  Serial.print("Connected to ");
  Serial.println(WIFI_SSID);
  Serial.print("IP Address is : ");
  Serial.println(WiFi.localIP());

  Firebase.begin(FIREBASE_HOST, FIREBASE_AUTH);
}

void loop() {
  String fireStatusrele1 = Firebase.getString("Skleník/Senzor/Relé/První");
  String fireStatusrele2 = Firebase.getString("Skleník/Senzor/Relé/Druhý");
  
  Serial.print("Firebase Relé 1: ");
  Serial.println(fireStatusrele1);
  Serial.print("Firebase Relé 2: ");
  Serial.println(fireStatusrele2);

  if (fireStatusrele1 == "ON") {
    Serial.println("Relé 1 Turned ON");
    digitalWrite(led, HIGH);
  } else if (fireStatusrele1 == "OFF") {
    Serial.println("Relé 2 Turned OFF");
    digitalWrite(led, LOW);
  }

  if (fireStatusrele2 == "ON") {
    Serial.println("Relé 2 Turned ON");
    digitalWrite(led, HIGH);
  } else if (fireStatusrele2 == "OFF") {
    Serial.println("Relé 2 Turned OFF");
    digitalWrite(led, LOW);
  }
  delay(1000);
}