#include <WiFi.h>
#include <IOXhop_FirebaseESP32.h>
#define FIREBASE_HOST "****"
#define FIREBASE_AUTH "****"
#define WIFI_SSID "****"
#define WIFI_PASSWORD "****"   

#define analogPin A0 
void setup() {
  Serial.begin(9600);
  delay(1000);
  WiFi.begin(WIFI_SSID, WIFI_PASSWORD);
  Serial.print("Connecting to ");
  Serial.print(WIFI_SSID);
  delay(1000);

  while (WiFi.status() != WL_CONNECTED) {
    Serial.print(".");
    delay(500);
  }
  Serial.println();
  Serial.print("Connected to ");
  Serial.println(WIFI_SSID);
  Serial.print("IP Address is : ");
  Serial.println(WiFi.localIP());

  Firebase.begin(FIREBASE_HOST, FIREBASE_AUTH);
}

void loop() {
  int MQ135_data = analogRead(analogPin);
  Serial.print("Hodnota kvality vzduchu");
  Serial.println(MQ135_data);
  Firebase.setString("/Skleník/Senzor/MQ-2/Kvalita vzduchu",MQ135_data);
  Serial.print("Hodnota kvality vzduchu uložena");
  delay(60000); // Pauza 1 minut
}
